package com.bonus.app.mapper;

import com.bonus.app.entity.BoxEntity;
import com.bonus.app.entity.BraceletEntity;
import com.bonus.app.entity.BraceletInfoEntity;
import com.bonus.app.entity.LsUserEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 手环管理 数据层
 */
@Mapper
public interface BraceletMapper {
    /**
     * 查询班组下拉选集合
     * @param entity
     * @return
     */
    List<BoxEntity> getBoxListById(BoxEntity entity);

    /**
     * 查询手环箱中手环信息
     * @param entity
     * @return
     */
    List<BraceletEntity> getBoxInfo(BoxEntity entity);

    /**
     * 查询手环箱中使用的手环信息
     * @param entity
     * @return
     */
    List<BraceletEntity> getBoxInfoBid(BoxEntity entity);

    /**
     * 查询手环信息
     * @param vo
     */
    List<BraceletInfoEntity> getBoxInfoDetails(BraceletEntity vo);

    /**
     * 人员高空 作业证数量
     * @param vo
     * @return
     */
    int getCertificate(BraceletEntity vo);

    /**
     * 查询手环发放的数量
     * @param entity
     * @return
     */
    Integer getBoxFfNum(BoxEntity entity);

    /**
     *
     * @param entity
     * @return
     */
    Integer getBoxShNum(BoxEntity entity);

    /**
     *
     * @param entity
     * @return
     */
    Integer getShUsed(BoxEntity entity);

    int updateBoxNum(BoxEntity entity);

    /**
     * 依据 手环id 查询对应的手环箱 的手环数量
     * @param list
     * @return
     */
    List<BoxEntity> getBoxBraceletNum(@Param("list") List<String> list);

    /**
     * 归还手环
     * @param vo
     */
    int  updateBoxBraceletInfo(@Param("devId") String devId);

    void insertLsUser(LsUserEntity user);

    /**
     * 依据身份证号码查询人员
     * @param user
     * @return
     */
    Integer getPeopleNum(LsUserEntity user);

    Integer getLsUserNum(LsUserEntity user);

    /**
     * 依据班组id 查询施工工地id
     * @param teamId
     * @return
     */
    String getProIdByTeamId(@Param("teamId") Long teamId);
}
